"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = require("react");
function useBranch(owner, repo, branchName) {
    var _a = react_1.useState(), branch = _a[0], setBranch = _a[1];
    var _b = react_1.useState(false), loading = _b[0], setLoading = _b[1];
    var _c = react_1.useState(), error = _c[0], setError = _c[1];
    if (!owner || !repo || !branchName)
        return { branch: branch, loading: loading, error: error };
    react_1.useEffect(function () {
        if (repo &&
            repo.length > 0 &&
            owner &&
            owner.length &&
            branchName &&
            branchName.length > 0) {
            setLoading(true);
            setError(undefined);
            fetch("https://api.github.com/repos/" + owner + "/" + repo + "/branches/" + branchName)
                .then(function (res) { return res.json(); })
                .then(function (data) {
                setLoading(false);
                setBranch(data);
                setError(undefined);
            })
                .catch(function (e) {
                setLoading(false);
                setBranch(null);
                setError(e);
            });
        }
    }, [owner, repo, branchName]);
    return {
        branch: branch,
        loading: loading,
        error: error
    };
}
exports.default = useBranch;
