"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = require("react");
function useBranches(owner, repo) {
    var _a = react_1.useState([]), branches = _a[0], setBranches = _a[1];
    var _b = react_1.useState(false), loading = _b[0], setLoading = _b[1];
    var _c = react_1.useState(), error = _c[0], setError = _c[1];
    if (!owner || !repo)
        return { branches: branches, loading: loading, error: error };
    react_1.useEffect(function () {
        if (repo && repo.length > 0 && owner && owner.length) {
            setLoading(true);
            setError(undefined);
            fetch("https://api.github.com/repos/" + owner + "/" + repo + "/branches")
                .then(function (res) { return res.json(); })
                .then(function (data) {
                setLoading(false);
                setBranches(data);
                setError(undefined);
            })
                .catch(function (e) {
                setLoading(false);
                setBranches([]);
                setError(e);
            });
        }
    }, [owner, repo]);
    return {
        branches: branches,
        loading: loading,
        error: error
    };
}
exports.default = useBranches;
