"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = require("react");
function useTaggedRelease(owner, repo, tag) {
    var _a = react_1.useState(), release = _a[0], setRelease = _a[1];
    var _b = react_1.useState(false), loading = _b[0], setLoading = _b[1];
    var _c = react_1.useState(), error = _c[0], setError = _c[1];
    if (!owner || !repo || !tag)
        return { release: release, loading: loading, error: error };
    react_1.useEffect(function () {
        if (owner &&
            owner.length > 0 &&
            repo &&
            repo.length > 0 &&
            tag &&
            tag.length > 0) {
            setError(undefined);
            setLoading(true);
            fetch("https://api.github.com/repos/" + owner + "/" + repo + "/releases/tags/" + tag)
                .then(function (res) { return res.json(); })
                .then(function (data) {
                setLoading(false);
                setRelease(data);
            })
                .catch(function (e) {
                setLoading(false);
                setRelease(null);
                setError(e);
            });
        }
    }, [owner, repo]);
    return {
        release: release,
        loading: loading,
        error: error
    };
}
exports.default = useTaggedRelease;
