"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = require("react");
function useForks(owner, repo) {
    var _a = react_1.useState([]), forks = _a[0], setForks = _a[1];
    var _b = react_1.useState(false), loading = _b[0], setLoading = _b[1];
    var _c = react_1.useState(), error = _c[0], setError = _c[1];
    react_1.useEffect(function () {
        if (repo && repo.length > 0 && owner && owner.length) {
            setLoading(true);
            setError(undefined);
            fetch("https://api.github.com/repos/" + owner + "/" + repo + "/forks")
                .then(function (res) { return res.json(); })
                .then(function (data) {
                setLoading(false);
                setForks(data);
                setError(undefined);
            })
                .catch(function (e) {
                setLoading(false);
                setForks([]);
                setError(e);
            });
        }
    }, [owner, repo]);
    return {
        forks: forks,
        loading: loading,
        error: error
    };
}
exports.default = useForks;
