"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = require("react");
function useRepos(githubUserName) {
    var _a = react_1.useState([]), repos = _a[0], setRepos = _a[1];
    var _b = react_1.useState(false), loading = _b[0], setLoading = _b[1];
    var _c = react_1.useState(), error = _c[0], setError = _c[1];
    if (!githubUserName)
        return { repos: repos, loading: loading, error: error };
    react_1.useEffect(function () {
        setLoading(true);
        fetch("https://api.github.com/users/" + githubUserName + "/repos")
            .then(function (res) { return res.json(); })
            .then(function (data) {
            setLoading(false);
            setRepos(data);
        })
            .catch(function (err) {
            setRepos([]);
            setError(err);
        });
    }, [githubUserName]);
    return {
        repos: repos,
        loading: loading,
        error: error
    };
}
exports.default = useRepos;
