"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = require("react");
function useUser(githubUserName) {
    var _a = react_1.useState(), user = _a[0], setUser = _a[1];
    var _b = react_1.useState(false), loading = _b[0], setLoading = _b[1];
    var _c = react_1.useState(), error = _c[0], setError = _c[1];
    if (!githubUserName)
        return { user: user, loading: loading, error: error };
    react_1.useEffect(function () {
        setLoading(true);
        fetch("https://api.github.com/users/" + githubUserName)
            .then(function (res) { return res.json(); })
            .then(function (data) {
            setLoading(false);
            setUser(data);
        })
            .catch(function (err) {
            setUser(undefined);
            setError(err);
        });
    }, [githubUserName]);
    return {
        user: user,
        loading: loading,
        error: error
    };
}
exports.default = useUser;
